import request from '@/utils/request'

// 查询油品调价信息列表
export function listAdjust(query) {
  return request({
    url: '/station/adjust/list',
    method: 'get',
    params: query
  })
}

// 查询油品调价信息详细
export function getAdjust(adjustPriceId) {
  return request({
    url: '/station/adjust/' + adjustPriceId,
    method: 'get'
  })
}

// 新增油品调价信息
export function addAdjust(data) {
  return request({
    url: '/station/adjust',
    method: 'post',
    data: data
  })
}

// 修改油品调价信息
export function updateAdjust(data) {
  return request({
    url: '/station/adjust',
    method: 'put',
    data: data
  })
}

// 删除油品调价信息
export function delAdjust(adjustPriceId) {
  return request({
    url: '/station/adjust/' + adjustPriceId,
    method: 'delete'
  })
}

// 导出油品调价信息
export function exportAdjust(query) {
  return request({
    url: '/station/adjust/export',
    method: 'get',
    params: query
  })
}